Subject: [alpine-aports] [PATCH] main/pinentry: upgrade to 0.9.7

From: Sören Tempel <[email-masked]>
Date: Thu, 10 Dec 2015 13:47:41 +0100

---
 main/pinentry/APKBUILD | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/main/pinentry/APKBUILD b/main/pinentry/APKBUILD
index a79a4f3..ded6d42 100644
--- a/main/pinentry/APKBUILD
+++ b/main/pinentry/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=pinentry
-pkgver=0.9.6
-pkgrel=1
+pkgver=0.9.7
+pkgrel=0
 pkgdesc="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
 url="http://www.gnupg.org/aegypten2"
 arch="all"
@@ -26,13 +26,13 @@ build () {
 		--enable-pinentry-curses \
 		--enable-fallback-curses \
 		|| return 1
-
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
+
 	# created by post install scripts so we can override with gtk version
 	rm -f "$pkgdir"/usr/bin/pinentry
 }
@@ -40,9 +40,10 @@ package() {
 gtk() {
 	install="pinentry-gtk.post-install pinentry-gtk.post-deinstall"
 	mkdir -p "$subpkgdir"/usr/bin
-	mv "$pkgdir"/usr/bin/pinentry-gtk* "$subpkgdir"/usr/bin/
+	mv "$pkgdir"/usr/bin/pinentry-gtk* \
+		"$subpkgdir"/usr/bin/ || return 1
 }
 
-md5sums="ab27ee5f9c3079842a9becd7ef7605cc  pinentry-0.9.6.tar.bz2"
-sha256sums="2a1124e9097f24f866cab7982610677e222cea71be0a71a5566f223177e01e66  pinentry-0.9.6.tar.bz2"
-sha512sums="c9f94e5ce5baf6779f6effc13f82c8c7f99d426dc232114fc4e11a8684eaefbaf4f60363db78cdb9f4c8e91ba7af40779ec1c5d7e01ee15b84c7de77ccf46e72  pinentry-0.9.6.tar.bz2"
+md5sums="9510b2de013e818dab619e468298703a  pinentry-0.9.7.tar.bz2"
+sha256sums="6398208394972bbf897c3325780195584682a0d0c164ca5a0da35b93b1e4e7b2  pinentry-0.9.7.tar.bz2"
+sha512sums="9c5bc8f7246e8b0affd83fea6e64c47cecf6a12515a82dd2a6712b230306a9c3c97da4dbf6519ea98c85c88bf180a5a2b8c46cedcd594f224e5a08f2f0e35bf0  pinentry-0.9.7.tar.bz2"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---